Subject: bug#68244: hash-table improvements

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 Jan 2024 08:37:02 +0200

> From: Andy Moreton <[email-masked]>
> Date: Thu, 18 Jan 2024 20:29:52 +0000
> 
> On Thu 18 Jan 2024, Mattias Engdegård wrote:
> 
> > I still don't know what problems you observed but have now committed fixes for
> > two other assertion failures to master, ef01250e and e7a6ce84. Andy, did they
> > help?
> 
> I am begining to suspect a toolchain problem, as I see backtraces when
> bootstrapping emacs-28 and emacs-29 native (.eln) builds, but not when
> bootstrapping a non-native (.elc) build.

Do the backtraces follow an assertion violation?  Or are those crashes
(as opposed to aborts)?

Can you show a couple of examples, please?